Package oracle.jdbc.xa

## Class OracleMultiPhaseArgs

- java.lang.Object
- - oracle.jdbc.xa.OracleMultiPhaseArgs

All Implemented Interfaces:
  `Diagnosable`, `PropertyChangeListener`

    public class OracleMultiPhaseArgs
    extends java.lang.Object
    implements Diagnosable

Utility class.

### Field Summary

Fields
`static boolean` `TRACE`

### Constructor Summary

Constructors
`OracleMultiPhaseArgs()`
`OracleMultiPhaseArgs​(byte[] inBytes)`
`OracleMultiPhaseArgs​(int _action, int _nsites, java.util.Vector _xids, java.util.Vector _dbLinks)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAction()`
`java.util.Vector` `getdbLinks()`
`Diagnosable` `getDiagnosable()`
`int` `getnsite()`
`java.util.Vector` `getXids()`
`void` `printMPArgs()`
`byte[]` `toByteArray()`
`java.io.ByteArrayOutputStream` `toByteArrayOS()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface oracle.jdbc.diagnostics.Diagnosable

`begin, beginCurrentSql, debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, debugp, end, endCurrentSql, format, isDebugEnabled, isDiagnoseFirstFailureEnabled, isLoggable, isSensitiveEnabled, onClose, propertyChange, resumeLogging, secure, suspendLogging, trace, tracep`

### Field Detail

#### TRACE

    public static final boolean TRACE

See Also:
  Constant Field Values

### Constructor Detail

#### OracleMultiPhaseArgs

    public OracleMultiPhaseArgs()

#### OracleMultiPhaseArgs

    public OracleMultiPhaseArgs​(int _action,
                                int _nsites,
                                java.util.Vector _xids,
                                java.util.Vector _dbLinks)

#### OracleMultiPhaseArgs

    public OracleMultiPhaseArgs​(byte[] inBytes)

### Method Detail

#### toByteArray

    public byte[] toByteArray()

#### toByteArrayOS

    public java.io.ByteArrayOutputStream toByteArrayOS()

#### getAction

    public int getAction()

#### getnsite

    public int getnsite()

#### getdbLinks

    public java.util.Vector getdbLinks()

#### getXids

    public java.util.Vector getXids()

#### printMPArgs

    public void printMPArgs()

#### getDiagnosable

    public Diagnosable getDiagnosable()

Specified by:
  `getDiagnosable` in interface `Diagnosable`
Returns: